Inkompatible Apps aus dem Market Installieren

  • 66 Antworten
  • Neuester Beitrag
Diskutiere Inkompatible Apps aus dem Market Installieren im Odys Allgemein im Bereich Odys Forum.
MastaofDesasta

MastaofDesasta

Erfahrenes Mitglied
Die Odys-Geräte sind nicht sehr bekannt,
und ein Großteil der Apps im Market werden als inkompatibel gelistet und lassen sich nicht installieren, obwohl sie meist eigentlich funktionieren würden.

Abhilfe schafft das Abändern der build.prop, welches hier im Forum bereits beschrieben wurde (/system/build.prop)
So kann man dem Market ein anderes Gerät vortäuschen, welches bekannter ist und in vielen Fällen als kompatibel gekennzeichnet ist.

Die Vorgehensweise ist sehr einfach:

1. Zu Einstellungen --> Anwendungen --> Market navigieren und dort die Daten löschen (!Nicht den Market deinstallieren!)
2. Rooten, geht ganz schnell z.B. mit GingerBreak
3. Mit einem rootfähigen Explorer (ES/Astro/Root Explorer) nach /system/ navigieren und die build.prop öffnen
4. Die Zeilen ro.product.model = und ro.product.manufacturer =
müssen bearbeiten werden, z.B für ein Nexus S:

ro.product.model = Nexus S
ro.product.manufacturer = samsung

Nach einem Neustart sollte der Market das Gerät als Nexus S erkennen.
 
Subcineast

Subcineast

Erfahrenes Mitglied
Hallo Masta, die build.prop müsste ich doch auch mit der ROM Toolbox editieren können oder?
Nur bei mir bleiben änderungen nach einem reboot nicht erhalten....


EDIT: Habs grad nochmal mit dem ES Datei Explorer versucht, dassselbe. Ich ändere die build.prop, aber es bleibt nicht gespeichert :/
 
Zuletzt bearbeitet:
MastaofDesasta

MastaofDesasta

Erfahrenes Mitglied
Bleiben die Änderungen nur nach einem Neustart nciht erhalten oder werden sie villeicht gar nicht erst gespeichert?
Ändere die build.prop mal, schließ sie und öffne sie nocheinmal und schau ob die Änderungen noch da sind
 
Subcineast

Subcineast

Erfahrenes Mitglied
Es bleibt nichtmal gespeichert, also auch vor neustart nicht.
Hab das grad in einem anderen Beitrag erörtert und nun ein Tool geladen, von Comango, mit dem ich, wenn ich es richtig mache wohl volle rw rechte bekomme, dann sollte es doch gehen oder?

Hast du vielleicht schon ein paar Spiele getestet?
Wäre gut zu wissen ob sie laufen bevor man geld ausgibt.
Woran liegt es denn das eine inkompatibel sind? Ich dachte bei den Games die ich wollte das es an HD liegt....

Interessieren würden mich diese:

Blood & Glory NR

Backstab HD

Brothers in Arms 2

Order & Chaos

Modern Combat 3

9mm HD

N.O.V.A. 2 HD

Tim und Struppi

Also falls du da schon erfahrungen sammeln konntest wär es super.
 
MastaofDesasta

MastaofDesasta

Erfahrenes Mitglied
Richtig, es muss als rw gemounted sein,
dafür bracuhst du eig. aber kein extra Tool, der ES Explorer z.B bietet das in den Optionen an.
Ich habe das Odys Space, leider ist es aber momentan in Reperatur sodass ich nichts testen kann.
Die von dir genannten Spiele sollten darauf laufen, da es einen verhältnismäßig guten Grafikprozessor hat.(Beser als beim Samsung Galaxy S)
Da manche davon aber für ein Nvidia Tegra Tablet vorgesehen sind laufen sie nicht richitg.
Abhilfe schafft das installieren von Chainfire 3D (https://market.android.com/details?id=eu.chainfire.cf3d.pro&feature=more_from_developer#?t=W251bGwsMSwxLDEwMiwiZXUuY2hhaW5maXJlLmNmM2QucHJvIl0.)
Dieses Tool ist ein Zwischentreiber, welcher zwischen dem Spiel und OpenGl vermittelt.
Da die Odys Tablets eine gute OpenGl ES 2.0 Unterstüzung haben,
sollte dann alles funktionieren
 
Subcineast

Subcineast

Erfahrenes Mitglied
Alles klar, danke, werd dann mal ein spiel testen.
Wie gesagt, hatte es mit ES, Astro und ROM Toolbox probiert, blieb nichts gespeichert, aber ich melde mich dann wieder :)

Zu Chainfire: Bin der meinung hier irgendwo gelesen zu haben das das noch nicht läuft auf dem Loox (kann mich aber auch täuschen)
 
D

Droidjo

Erfahrenes Mitglied
MastaofDesasta schrieb:
Die Odys-Geräte sind nicht sehr bekannt,
und ein Großteil der Apps im Market werden als inkompatibel gelistet und lassen sich nicht installieren, obwohl sie meist eigentlich funktionieren würden.
Die Odys Geräte sind zwar nicht sehr bekannt, aber was du da schreibst ist an den Haaren herbeigezogen. Ich habe mir mittlerweile schon mehrere hundert Apps getestet und bisher gab es nur ca. 2 oder 3 die sich nicht installieren liessen.
Also bitte nicht immer irgendwelche Falschbehauptungen aufstellen, nur weil man den Leuten irgendeinen neuen Tipp schmackhaft machen will!
 
MastaofDesasta

MastaofDesasta

Erfahrenes Mitglied
Droidjo schrieb:
Ich habe mir mittlerweile schon mehrere hundert Apps getestet und bisher gab es nur ca. 2 oder 3 die sich nicht installieren liessen.
Also bitte nicht immer irgendwelche Falschbehauptungen aufstellen, nur weil man den Leuten irgendeinen neuen Tipp schmackhaft machen will!
Dir ist schon klar dass es hier nicht um das Installieren von Apps an sich geht,
sondern darum solche, welche ja durchaus auf dem Gerät funktionieren, auch aus dem Android Market zu installieren obwohl dieser sie als inkompatibel kennzeichnet...
Und das sind garantiert nicht nur 2 oder 3...
Lies bitte das nächste mal richtig bevor zu mit vorwirfst "Falschbehauptungen aufzustellen"
 
Subcineast

Subcineast

Erfahrenes Mitglied
Kann ich Masta nur zustimmen, die Games die ich gepostet habe werden mir allesamt als "nicht kompatibel" angezeigt.

Also Droidjo....immer locker bleiben und den kompletten Thread lesen bevor man sich unbeliebt macht ;)
 
MastaofDesasta

MastaofDesasta

Erfahrenes Mitglied
Genaueres kann ich erst sagen wenn ich mein Space wiederhabe,
ich weiß aber nicht inwiefern sich das auch auf das Loox beziehen lässt, welches ja einen anderen Chip hat
 
Zuletzt bearbeitet:
Subcineast

Subcineast

Erfahrenes Mitglied
Hm, also irgendwie will das bei mir nicht funktionieren.
Ich hab die build.prop anhand deines beispiels mit dem nexus s verändert, mittlerweile übernimmt er meine speicherungen ...auch nach reboot (danke PopEi)

Aber mein Gerät wird nicht erkannt als Nexus :(

Zu der Einstellungsgeschichte:

Ich gehe auf "Einstellung" -> "Anwendungen" -> dann "Anwendungen Verwalten" -> "Alle" -> Suche den Market, doch da kann ich die Daten nicht löschen, nur den Cache...und das bringt nichts :/

Irgendne Idee?
 
MastaofDesasta

MastaofDesasta

Erfahrenes Mitglied
Eigentlich sollten sich auch die Daten löschen lassen, danach sollte es funktioniren...
habe leider kein Loox, aber vlt. könnte jmd. anderes mit einem Loox mal schauen ob das bei ihm in den Einstellungen geht....
Edit: Daten löschen ist direkt neben Cache löschen, sicher dass du dich nicht vertan hast und nur Deinstallieren nicht möglich ist?
 
Subcineast

Subcineast

Erfahrenes Mitglied
Ja, bin mir sicher, "Daten löschen" ist ausgegraut :/
 
tki

tki

Stammgast
Auf keinenFall "Daten löschen", du must bei Framwork-services die Daten löschen
 
Subcineast

Subcineast

Erfahrenes Mitglied
tki schrieb:
Auf keinenFall "Daten löschen", du must bei Framwork-services die Daten löschen

Und wo finde ich die?
 
Subcineast

Subcineast

Erfahrenes Mitglied
Hm, also ich hab nun die Daten und den Cache von "Google Framework Services" gelöscht.
Leider keine Veränderung, mein Gerät ist laut build.prop und Geräte Info in den Einstellungen ein "Nexus S" (build.prop zusätzlich auch noch der Hersteller: "samsung") aber der mArket teilt mir immernoch inkompatibilität mit :/

Edit: Ok, der Market erkennt es als Samsung Nexus S, jedoch sind auch da die games inkompatibel *g*

Kennt jemand nen Gerät wo nahezu alles kompatibel ist?
 
Zuletzt bearbeitet:
Subcineast

Subcineast

Erfahrenes Mitglied
Es geht auch einfach um die Art wie du auf Leute zugehst bzw hier postest.

Klar ist mir bewusst das ich mit dir nun sicher nicht diskutieren sollte, da du es ja offensichtlich nicht besser kannst, aber Masta hatte nur versucht zu erklären wie man inkompatible Apps kompatibel machen könnte.

Das es diese inkompatiblen Apps gibt, ist ja wohl bewiesen (auch wenn die von mir geposteten Spiele waren)

Aber du hingegen kommst nicht konstruktiv daher sondern fängst an zu beleidigen und sowas ist halt nicht gern gesehen. (bei mir zumindest) Und nun wünsche ich dir noch viel Spaß im Forum.
 
Subcineast

Subcineast

Erfahrenes Mitglied
Hm,
so nach mehreren Versuchen muss ich leider sagen das es nicht funktioniert.

Zwar hatte der Market das Tab als Damsung Nexus S erkannt, konnte aber dennoch die inkompatiblen Apps nicht laden.

Mein Versuch dem Market vorzutäuschen ich hätte ein Samsung Galaxy Nexus oder ein HTC Desire schlugen fehl, keine Ahnung warum.

Auch nachdem ich die build.prop nun wieder auf Odys geändert habe tut sich im Market nichts, das Gerät bleibt als Samsung Nexus S erkannt.
 
MastaofDesasta

MastaofDesasta

Erfahrenes Mitglied
Nicht laden?
Gab es irgendeine Meldung?